package com.xy.utils.enums;

import lombok.Getter;

@Getter
public enum DeviceErrorTypesEnum {
    DEVICE_ERROR_TYPES_1(1, "联网故障"),

    DEVICE_ERROR_TYPES_2(2, "门锁故障"),

    DEVICE_ERROR_TYPES_3(3, "温控仪故障"),

    DEVICE_ERROR_TYPES_4(4, "灯光故障"),

    DEVICE_ERROR_TYPES_5(5, "摄像头故障"),

    DEVICE_ERROR_TYPES_6(6, "压缩机故障"),
    ;

    private int key;

    private String msg;

    DeviceErrorTypesEnum(int key, String msg) {
        this.key = key;
        this.msg = msg;
    }
}
